package br.victor.particle;

public class DiscreteGenes {

	public static final String[] genes = {
			"",
		    "ahead(30)",
		    "ahead(50)",
		    "ahead(80)",
		    "ahead(120)",
		    "ahead(150)",
		    "ahead(200)",
		    "back(30)",
		    "back(50)",
		    "back(80)",
		    "back(120)",
		    "back(150)",
		    "back(200)",
		    "ahead(30 * moveDirection)",
		    "ahead(50 * moveDirection)",
		    "ahead(80 * moveDirection)",
		    "ahead(120 * moveDirection)",
		    "ahead(150 * moveDirection)",
		    "ahead(200 * moveDirection)",
		    "back(30 * moveDirection)",
		    "back(50 * moveDirection)",
		    "back(80 * moveDirection)",
		    "back(120 * moveDirection)",
		    "back(150 * moveDirection)",
		    "back(200 * moveDirection)",
		    "fire(1)", //26
		    "fire(2)", 
		    "fire(3)", 
		    "fire(4)", 
		    "fire(5)",
		    "if(distance > 800) fire(5); else if(distance > 600 && distance <= 800) fire(4); else if(distance > 400 && distance <= 600) fire(3); else if(distance > 200 && distance <= 400) fire(2); else if(distance < 200 && distance > 0) fire(1);",
		    "turnRight(15)",
		    "turnRight(20)",
		    "turnRight(25)",
		    "turnRight(30)",
		    "turnRight(45)",
		    "turnLeft(15)",
		    "turnLeft(20)",
		    "turnLeft(25)",
		    "turnLeft(30)",
		    "turnLeft(45)",
		    "turnGunRight(15)",
		    "turnGunRight(20)",
		    "turnGunRight(25)",
		    "turnGunRight(30)",
		    "turnGunRight(45)",
		    "turnGunLeft(15)",
		    "turnGunLeft(20)",
		    "turnGunLeft(25)",
		    "turnGunLeft(30)",
		    "turnGunLeft(45)",
		    "turnGunRight(bearingFromGun)",
		    "turnGunLeft(bearingFromGun)",
		    "turnRight(-bearing)"
	}; 
	
}
